Bug 658890 - dump -w does not work on ext4 fielsystems
Summary: dump -w does not work on ext4 fielsystems
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: dump
Version: 6.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Adam Tkac
QA Contact: Ondrej Moriš
URL:
Whiteboard:
Depends On:
Blocks: 662543 733318
TreeView+ depends on / blocked
 
Reported: 2010-12-01 15:05 UTC by Debbie Johnson
Modified: 2018-11-14 16:29 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Prior to this update, the "dump -w" command did not recognize ext4 file systems as supported. With this update, the bug has been fixed so that "dump -w" now recognizes the ext4 file systems as supported.
Clone Of:
: 733318 (view as bug list)
Environment:
Last Closed: 2011-07-27 08:14:34 UTC
Target Upstream Version:


Attachments (Terms of Use)
proposed patch (596 bytes, patch)
2010-12-02 15:02 UTC, Jan Görig
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1095 0 normal SHIPPED_LIVE dump bug fix update 2011-07-27 08:14:30 UTC

Description Debbie Johnson 2010-12-01 15:05:10 UTC
Description of problem:
dump -w will never return any ext4 file systems even though they are supported in the dump/restore utility for ext4.

Version-Release number of selected component (if applicable):
V6.0

How reproducible:
every time

Steps to Reproduce:
1.issue dump -w on a running RHEL6 system 
2.
3.
  
Actual results:
nothing returned but ext2/ext3 filesystems that are on system

Expected results:
also return ext4 filesystems

Additional info:

Comment 1 Jan Görig 2010-12-02 15:02:11 UTC
Created attachment 464268 [details]
proposed patch

Comment 2 Stelian Pop 2010-12-06 14:16:39 UTC
FYI, Jan's patch has been commited in upstream's CVS. Thanks Jan !

Stelian.

Comment 6 Suzanne Logcher 2011-02-15 21:46:01 UTC
This issue was proposed for RHEL 6.1 FasTrack but did not get resolved in time.
It has been moved to RHEL 6.2 FasTrack.

Comment 13 Petr Kovar 2011-07-04 17:05:26 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Prior to this update, the "dump -w" command did not recognize ext4 file systems as supported. With this update, the bug has been fixed so that "dump -w" now recognizes the ext4 file systems as supported.

Comment 15 errata-xmlrpc 2011-07-27 08:14:34 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-1095.html


Note You need to log in before you can comment on or make changes to this bug.